package com.slibra.business.mapper;

import java.util.List;
import com.slibra.business.domain.TPumpingStationNeighbourhoodNumber;

/**
 * 泵站-小区楼号中间Mapper接口
 * 
 * @author slibra
 * @date 2024-11-05
 */
public interface TPumpingStationNeighbourhoodNumberMapper 
{
    /**
     * 查询泵站-小区楼号中间
     * 
     * @param id 泵站-小区楼号中间主键
     * @return 泵站-小区楼号中间
     */
    public TPumpingStationNeighbourhoodNumber selectTPumpingStationNeighbourhoodNumberById(Long id);

    /**
     * 查询泵站-小区楼号中间列表
     * 
     * @param tPumpingStationNeighbourhoodNumber 泵站-小区楼号中间
     * @return 泵站-小区楼号中间集合
     */
    public List<TPumpingStationNeighbourhoodNumber> selectTPumpingStationNeighbourhoodNumberList(TPumpingStationNeighbourhoodNumber tPumpingStationNeighbourhoodNumber);

    /**
     * 新增泵站-小区楼号中间
     * 
     * @param tPumpingStationNeighbourhoodNumber 泵站-小区楼号中间
     * @return 结果
     */
    public int insertTPumpingStationNeighbourhoodNumber(TPumpingStationNeighbourhoodNumber tPumpingStationNeighbourhoodNumber);

    /**
     * 修改泵站-小区楼号中间
     * 
     * @param tPumpingStationNeighbourhoodNumber 泵站-小区楼号中间
     * @return 结果
     */
    public int updateTPumpingStationNeighbourhoodNumber(TPumpingStationNeighbourhoodNumber tPumpingStationNeighbourhoodNumber);

    /**
     * 删除泵站-小区楼号中间
     * 
     * @param id 泵站-小区楼号中间主键
     * @return 结果
     */
    public int deleteTPumpingStationNeighbourhoodNumberById(Long id);

    /**
     * 批量删除泵站-小区楼号中间
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTPumpingStationNeighbourhoodNumberByIds(Long[] ids);
}
