package com.slibra.business.res;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.slibra.common.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 用户信息对象 t_user_info
 * 
 * @author slibra
 * @date 2024-11-06
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class BZXQLHInfo
{
    private static final long serialVersionUID = 1L;

    @Excel(name = "区域")
    private String area;

    @Excel(name = "泵站名称")
    private String pumpingStationName;

    @Excel(name = "小区名成")
    private String neighbourName;

    @Excel(name = "楼号")
    private String buildingName;

    @Excel(name = "问题")
    private String question;

}
