package com.slibra.business.res;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
//人工客服/机器人客统计返回的bean
public class CallUserCountInfo {

    //客服编号
    private String userId;

    //姓名
    private String userName;

    //当前状态
    //2024年12月23日10:22:35 这里因为前端不再解析，所以这里做一下转意，前端直接展示。
    private String status;

    //今日呼入
    private int inTodayCount;

    //累计呼入
    private int inAllCount;

    //今日呼出
    private int outTodayCount;

    //累计呼出
    private int outAllCount;

    //累计通话时长
    private long totalTimes;

    //今日转人工
    private int todayTransferCount;

    //累计转人工
    private int totalTransferCount;
}

