package com.slibra.business.res;


import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class PumpAndBuildingNumberNames {

    //关联的中间表的ID，唯一的一条记录
    @JsonIgnore
    private Long id;

    //楼号名称
    private String neighborhoodBuildingName;

    //泵站名称
    private String pumpingStationName;




}
