package com.slibra.business.res;

import com.slibra.common.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 用户信息对象 t_user_info
 * 
 * @author slibra
 * @date 2024-11-06
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class UserTypeResp implements Serializable {
    private static final long serialVersionUID = 1L;

    //用户ID
    private Long id;

    //用户名称
    private String name;

    //通话记录的分类 服务类型（0人工坐席 1机器人坐席 2机器人转人工）
    private Long serviceCategory;


}
