# 使用 OpenJDK 8 作为基础镜像
FROM openjdk:8-jre-slim

# 设置工作目录
WORKDIR /app

# 将 JAR 文件复制到工作目录
COPY target/my-java-app-0.0.1-SNAPSHOT.jar my-java-app.jar

# 暴露应用程序运行的端口
EXPOSE 8080

# 运行应用程序
ENTRYPOINT ["java", "-jar", "my-java-app.jar"]